TU-Berlin | → | Inst. f. Mathematik | → | Algebra und Zahlentheorie | → | KASH | → | Documentation | → | Reference Manual

| KASH3 Reference Manual

Introduction | Reference Manual | Index

search

### Function

Eq ( any A, any B ) -> elt-alg^boo

### Description

<shortdoc> Equal for extended types. Return 'TRUE' if 'Base(A)=Base(B)', 'FALSE' otherwise. This is useful, if one of the values of a comparison could be extended. </shortdoc>

### Examples

a := 2/3; Extend(a); a=2/3; Eq(a,2/3); Base(a)=2/3;

### See also

Base ( any ) -> any
Extend ( any ) -> record

| Built: Mon Nov 14 21:12:39 UTC 2005 on mack